clang 8.0.0

Public Member Functions | List of all members
clang::FullSourceLoc::BeforeThanCompare Struct Reference

Comparison function class, useful for sorting FullSourceLocs. More...

`#include "clang/Basic/SourceLocation.h"`

## Public Member Functions
bool | operator() (const FullSourceLoc &lhs, const FullSourceLoc &rhs) const

## Detailed Description

Comparison function class, useful for sorting FullSourceLocs.

Definition at line 413 of file SourceLocation.h.

## Member Function Documentation

## ◆ operator()()

bool clang::FullSourceLoc::BeforeThanCompare::operator() | ( | const FullSourceLoc & | lhs,
|  | const FullSourceLoc & | rhs
| ) |  | const
| inline

Definition at line 414 of file SourceLocation.h.

References dump(), and clang::FullSourceLoc::isBeforeInTranslationUnitThan().

The documentation for this struct was generated from the following file:

- include/clang/Basic/SourceLocation.h